Index: branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComRdCost.cpp
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1200)
@@ -1367,13 +1379,13 @@
     uiSum += abs( piOrg[46] - piCur[46] );
     uiSum += abs( piOrg[47] - piCur[47] );
-    
-    piOrg += iStrideOrg;
-    piCur += iStrideCur;
-  }
-  
+
+    piOrg += iStrideOrg;
+    piCur += iStrideCur;
+  }
+
   uiSum <<= iSubShift;
-  return uiSum >> DISTORTION_PRECISION_ADJUSTMENT(pcDtParam->bitDepth-8);
-}
-#endif
+  return ( uiSum >> DISTORTION_PRECISION_ADJUSTMENT(pcDtParam->bitDepth-8) );
+}
+
 
 #if H_3D_IC || H_3D_INTER_SDC
@@ -1645,5 +1657,4 @@
 }
 
-#if AMP_SAD
 UInt TComRdCost::xGetSAD12ic( DistParam* pcDtParam )
 {
@@ -1726,5 +1737,5 @@
   return ( uiSum >> DISTORTION_PRECISION_ADJUSTMENT( pcDtParam->bitDepth - 8 ) );
 }
-#endif
+
 
 UInt TComRdCost::xGetSAD16Nic( DistParam* pcDtParam )
@@ -1962,5 +1973,5 @@
 }
 
-#if AMP_SAD
+
 UInt TComRdCost::xGetSAD24ic( DistParam* pcDtParam )
 {
@@ -2079,5 +2090,4 @@
   return ( uiSum >> DISTORTION_PRECISION_ADJUSTMENT( pcDtParam->bitDepth - 8 ) );
 }
-#endif
 
 UInt TComRdCost::xGetSAD64ic( DistParam* pcDtParam )
@@ -2318,5 +2328,5 @@
 }
 
-#if AMP_SAD
+
 UInt TComRdCost::xGetSAD48ic( DistParam* pcDtParam )
 {
@@ -2509,28 +2519,26 @@
 }
 #endif
-
-#endif
 // --------------------------------------------------------------------------------------------------------------------
 // SSE
 // --------------------------------------------------------------------------------------------------------------------
 
-UInt TComRdCost::xGetSSE( DistParam* pcDtParam )
+Distortion TComRdCost::xGetSSE( DistParam* pcDtParam )
 {
   if ( pcDtParam->bApplyWeight )
   {
-    return xGetSSEw( pcDtParam );
-  }
-  Pel* piOrg   = pcDtParam->pOrg;
-  Pel* piCur   = pcDtParam->pCur;
+    return TComRdCostWeightPrediction::xGetSSEw( pcDtParam );
+  }
+  const Pel* piOrg   = pcDtParam->pOrg;
+  const Pel* piCur   = pcDtParam->pCur;
   Int  iRows   = pcDtParam->iRows;
   Int  iCols   = pcDtParam->iCols;
   Int  iStrideOrg = pcDtParam->iStrideOrg;
   Int  iStrideCur = pcDtParam->iStrideCur;
-  
-  UInt uiSum = 0;
-  UInt uiShift = DISTORTION_PRECISION_ADJUSTMENT((pcDtParam->bitDepth-8) << 1);
-  
-  Int iTemp;
-  
+
+  Distortion uiSum   = 0;
+  UInt       uiShift = DISTORTION_PRECISION_ADJUSTMENT((pcDtParam->bitDepth-8) << 1);
+
+  Intermediate_Int iTemp;
+
   for( ; iRows != 0; iRows-- )
   {
